Page MenuHomePhabricator

[sanitizer] Don't add --export-dynamic for Myriad
ClosedPublic

Authored by waltl on May 4 2018, 1:43 PM.

Details

Summary

This is to work around a bug in some versions of gnu ld, where
--export-dynamic implies -shared even if -static is explicitly given.
Myriad supports static linking only, so --export-dynamic is never
needed.

Diff Detail

Repository
rC Clang

Event Timeline

waltl created this revision.May 4 2018, 1:43 PM
alekseyshl added inline comments.May 15 2018, 2:53 PM
clang/lib/Driver/ToolChains/CommonArgs.cpp
706 ↗(On Diff #145268)

Maybe this logic should be in addSanitizerDynamicList, similar to how it is handled for Solaris?

waltl updated this revision to Diff 147233.May 16 2018, 9:01 PM

Address CR comments

waltl marked an inline comment as done.May 16 2018, 9:02 PM
alekseyshl accepted this revision.May 17 2018, 11:02 AM
This revision is now accepted and ready to land.May 17 2018, 11:02 AM
This revision was automatically updated to reflect the committed changes.